The US National Vulnerability Database (NVD) has identified a cybersecurity risk in Bitcoin's inscriptions, relating to the development of the Ordinals Protocol in 2022.

According to the NVD, it is possible to surpass a data carrier limit by masking data as code in certain versions of Bitcoin Core and Bitcoin Knots, a vulnerability that has been exploited.

Inclusion on the list by NVD means that the vulnerability is recognised, catalogued, and deemed essential for public awareness; the list is managed by the National Institute of Standards and Technology, under the US Department of Commerce.